Package org.apache.sysds.parser

# Enum Class Statement.PSScheme

java.lang.Object
java.lang.Enum<Statement.PSScheme>
org.apache.sysds.parser.Statement.PSScheme

All Implemented Interfaces:
  `Serializable`, `Comparable<Statement.PSScheme>`, `Constable`

Enclosing class:
  Statement

public static enum Statement.PSScheme extends Enum<Statement.PSScheme>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DISJOINT_CONTIGUOUS`
`DISJOINT_RANDOM`
`DISJOINT_ROUND_ROBIN`
`OVERLAP_RESHUFFLE`

## Method Summary

Modifier and Type
Method
Description
`static Statement.PSScheme`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Statement.PSScheme[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DISJOINT_CONTIGUOUS

public static final Statement.PSScheme DISJOINT_CONTIGUOUS

### DISJOINT_ROUND_ROBIN

public static final Statement.PSScheme DISJOINT_ROUND_ROBIN

### DISJOINT_RANDOM

public static final Statement.PSScheme DISJOINT_RANDOM

### OVERLAP_RESHUFFLE

public static final Statement.PSScheme OVERLAP_RESHUFFLE

## Method Details

### values

public static Statement.PSScheme[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Statement.PSScheme valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null